Bug 67974 - Multiple .iso's in NFS install dir causes confusion
Multiple .iso's in NFS install dir causes confusion
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Brock Organ
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-07-04 20:25 EDT by Brian Stretch
Modified: 2007-03-26 23:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 17:22:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Stretch 2002-07-04 20:25:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux)

Description of problem:
Installer asks to test all .iso images in NFS installation directory, not just limbo's images.  Installer then fails.  Moving limbo's images to a separate subdirectory works around this problem. 


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Boot off bootnet.img floppy
2. Select NFS server and directory
3. Multiple Linux distribution .iso's confuses installer
 

Expected Results:  Should know that it only wants limbo-*-disc?.iso images. 

Additional info:
Comment 1 Michael Fulbright 2002-07-09 20:27:13 EDT
Honestly all the ISOs should be in their own directory.

I'll make sure we document this.

I'll also try to think of a better way to handle this case in the loader.
Comment 2 Jamie Guinan 2002-07-17 17:54:46 EDT
I agree with the original poster.  I dropped my limbo*.iso's in
/usr/local/redhat alongside my valhalla*.iso's, and I was surprised that the
installer was confused by this.  If I was running a mirror site, sure I'd make
the extra level of directory structure, but for casual use the filenames provide
sufficient distinction.
Comment 3 Michael Fulbright 2002-08-06 22:58:22 EDT
We'll have to visit this in a future release.
Comment 4 Jeremy Katz 2005-02-01 17:22:19 EST
Peter made some changes last week that should improve this.

Note You need to log in before you can comment on or make changes to this bug.